<template>
  <NavBar title="设置密码" />
  <div class="px-5">
    <pwd-setting
      :phone="phone"
      :sendSmsFunc="sendSmsFunc"
      :setPwdFunc="setPwdFunc"
    />
  </div>
</template>

<script lang="ts">
import PwdSetting from "./PwdSetting.vue";
import { defineComponent } from "vue";
import NavBar from "@/components/NavBar/index.vue";
export default defineComponent({
  components: { PwdSetting, NavBar },
  inject: ["sendSmsFunc", "setPwdFunc"],
  created() {
    console.log(this.$route.query.phone, "router");
  },
  computed: {
    phone() {
      return this.$route.query.phone as string;
    },
  },
});
</script>
